package org.jdesktop.lg3d.wonderland.usecaseviewer.controller;


/**
 * The Database implementation of ITask
 * @author Ryan Moak
 */

public class DBTask implements ITask{

	String myName;
	int myId;
	
	/**
	 * Constructor for a DBTask
	 * @param the name of the DBTask
	 * @param the ID of the DBTask
	 */
	public DBTask(String name, int id){
		myName = name;
		myId = id;
	}

	/**
	 * Gets the name of this Task
	 * @return String representing the name
	 */
	public String getName() {
		
		return myName;
	}

	/**
	 * Returns the ID of this Task
	 * @return int representing the ID
	 */
	public int getId(){
		return myId;
	}

	/**
	 * Gets properties of a DBTask
	 * @return Object array of properties
	 */
	public Object[] getProperties() {
		return DatabaseCommunicator.getTaskProperties(getId());
	}

	/**
	 * Sets a property of this stask
	 * @param parameter - the property to modify
	 * @param newValue - the newValue to enter into this property
	 */
	public void setProperty(String parameter, String newValue) {
		DatabaseCommunicator.updateTaskProperty(parameter, newValue, getId());	
	}

}
