package org.jdesktop.lg3d.wonderland.usecaseviewer.controller;

import java.util.Collection;

/**
 * The IConnector interface.  In order to configure our code to work with a new repository
 * there must be a class that implements this.
 * 
 * @author Ryan Moak
 *
 */
public interface IConnector {

	/**
	 * Connects to a repository
	 * @param username - the username to login
	 * @param password - the password to use
	 * @param path - the area to access the respository
	 * @return true if the connection was successful
	 */
	public boolean connect(String username, String password, String path);
	
	/**
	 * Disconnects from the respository that you're currently connect to
	 */
	public void disconnect();
	
	
	/**
	 * Gets the projects associated with this Connector
	 */
	public Collection<IProject> getProjects();

}
