package org.jdesktop.lg3d.wonderland.usecaseviewer.controller;
/**
 * The ITask interface.  In order to configure our code to work with a new repository
 * there must be a class that implements this.
 * @author Ryan Moak
 *
 */
public interface ITask {

	
	/**
	 * Gets the name of this Task
	 * @return the name of this Task
	 */
	public String getName();
	
	/**
	 * Sets a property for this task
	 * @param - parameter - the property to modify
	 * @param - newValue - the new value of the property 
	 */
	public void setProperty(String parameter, String newValue);
	
	/**
	 * Returns the properties of this Task
	 * @return - an array of Objects containing the various properties of this Task
	 */
	public Object[] getProperties();
	
}
