package org.jdesktop.lg3d.wonderland.usecaseviewer.controller;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.net.URL;
import java.net.URLConnection;
import java.util.ArrayList;
import java.util.Collection;
import java.io.InputStreamReader;

/**
 * Connector implementation for our Text controller
 * @author Ryan Moak
 *
 */

public class TextConnector implements IConnector{

	//the projects for this class
	ArrayList<IProject> projects;

	/**
	 * Constructor for this class
	 */
	public TextConnector(){
		projects = null;
	}

	/**
	 * Connect function, not really used for this implementation
	 */
	public boolean connect(String username, String password, String path) {
		System.out.println("Connected");
		return true;
	}

	/**
	 * Disconnect function, not used for this implementation
	 */
	public void disconnect() {
		System.out.println("Disconnected");	
	}

	/**
	 * Gets a list of all the projects current in the repository.txt
	 * @return ArrayList<IProject> - an ArrayList of IProjects from repository.txt
	 */
	public ArrayList<IProject> getProjects(){
		if (projects == null){
			projects = new ArrayList<IProject>();
			BufferedReader reader;
			URL url;
			URLConnection connection;
			//this will need to be set in order for this to work. A copy of repository.txt
			//is included in our project
			//String urlString = "path-to/repository.txt";
			try {
				url = new URL(urlString);
				connection = url.openConnection();
				reader = new BufferedReader(new InputStreamReader(connection.getInputStream()));
				try {
					String current = reader.readLine();
					while (current != null){
						if (current.equals("PROJECTS")){
							while(true){
								String aproject = reader.readLine();
								if (aproject.equals("ENDPROJECTS")){
									break;
								}
								else{
									String name = aproject;
									projects.add(new TextProject(name));
								}
							}
						}
						current = reader.readLine();
					}
					
				} catch (IOException e) {
			
					e.printStackTrace();
				}
			} catch (Exception e) {
				e.printStackTrace();
			}
		
			return projects;
		}
		else{
			return projects;
		}
	}
}


