package org.jdesktop.lg3d.wonderland.usecaseviewer.controller;

/**
 * The Task implementation for out Text Controller
 * 
 * @author Ryan Moak
 * @version base
 * 
 * @author James Johnson
 * @version added getProperyByName function
 *
 */
public class TextTask implements ITask{

	String name;
	Object[] properties;
	
	/**
	 * Constructor for this object
	 */
	public TextTask(String myname, Object[] myproperties){
		name = myname;
		properties = new Object[myproperties.length];
		for (int i = 0; i < myproperties.length; i++){
			properties[i] = myproperties[i];
		}
	}
	
	/**
	 * Returns the name of this TextTask
	 * @return String representing name
	 */
	public String getName() {
		return name;
	}

	/**
	 * returns the properties of this TextTask
	 * @return the properties of this object in an array 
	 */
	public Object[] getProperties() {
		return properties;
	}

	/**
	 * Sets the properties of this TextTask
	 */
	public void setProperty(String parameter, String newValue) {
		if (parameter.equals("Units")){
			properties[0] = newValue;
		}
		else if(parameter.equals("Assigned")){
			properties[1] = newValue;
		}
		else if(parameter.equals("Status")){
			properties[2] = newValue;
		}
	}
	
	/**
	 * gets the property names in an object Array
	 */
	public Object[] getPropertyNames(){
		return new Object[]{"Units", "Assigned", "Status"}; 
	}
	
	/**
	 * Gets a property by specifying the name to search for
	 */
	public Object getPropertyByName(String name){
		
		Object[] names = getPropertyNames();
		
		for(int i = 0; i < properties.length; i++){
			if(names[i].equals(name)) return properties[i];
		}
		
		return null;
	}


}
